pkgsrc-WIP-changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

haxm: Improve haxm-mknod



Module Name:	pkgsrc-wip
Committed By:	Kamil Rytarowski <n54%gmx.com@localhost>
Pushed By:	kamil
Date:		Wed Feb 13 05:44:00 2019 +0100
Changeset:	1a03f6efe343acd04cfbefcead375c1bccd88ad1

Modified Files:
	haxm/files/haxm-mknod

Log Message:
haxm: Improve haxm-mknod

To see a diff of this commit:
https://wip.pkgsrc.org/cgi-bin/gitweb.cgi?p=pkgsrc-wip.git;a=commitdiff;h=1a03f6efe343acd04cfbefcead375c1bccd88ad1

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.

diffstat:
 haxm/files/haxm-mknod | 7 +++++++
 1 file changed, 7 insertions(+)

diffs:
diff --git a/haxm/files/haxm-mknod b/haxm/files/haxm-mknod
index 0763adae45..1a92fb9067 100644
--- a/haxm/files/haxm-mknod
+++ b/haxm/files/haxm-mknod
@@ -1,5 +1,10 @@
 #!/bin/sh
 
+if [ -e /dev/HAX ]; then
+	echo "ERR: HAXM devices have been already created"
+	exit 1
+fi
+
 echo "*** Creating HAX devices ***"
 mknod /dev/HAX c 220 0
 mkdir /dev/hax_vm
@@ -16,3 +21,5 @@ while [ $i -lt 128 ]; do
         $cmd
         let "i+=1"
 done
+
+echo "*** Done ****"


Home | Main Index | Thread Index | Old Index